Skip to main content
GET
/
api
/
v1
/
openclaw
/
linkedin
/
post
Post
curl --request GET \
  --url https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/linkedin/post \
  --header 'Authorization: Bearer <token>'

Parameters

url
string
required
The URL of the LinkedIn post to get (e.g., https://www.linkedin.com/pulse/being-father-has-made-me-better-leader-vice-versa-austen-allred/)

Example Request

curl -X GET "https://yoinkit.ai/api/v1/openclaw/linkedin/post?url=https://www.linkedin.com/pulse/being-father-has-made-me-better-leader-vice-versa-austen-allred/" \
  -H "Authorization: Bearer YOUR_API_TOKEN"

Example Response

{
  "success": true,
  "data": {
    "url": "https://www.linkedin.com/pulse/being-father-has-made-me-better-leader-vice-versa-austen-allred",
    "name": "Being a Father Has Made me a Better Leader, and Vice Versa",
    "headline": "It's not all that unique to be a 26-year-old founder...",
    "commentCount": 17,
    "likeCount": 210,
    "datePublished": "2020-06-21T14:35:59.000+00:00",
    "description": "...",
    "author": { "name": "Austen Allred", "url": "...", "followers": 30863 }
  },
  "meta": {
    "platform": "linkedin",
    "endpoint": "post",
    "request_id": "req_abc123"
  }
}
Response data is returned directly from the Yoinkit API.